# manila

## share abandon

Abandon a share

    openstack share abandon [--wait] <share> [<share> ...]

--wait

  Wait until share is abandoned

share

  Name or ID of the share(s)

This command is provided by the python-manilaclient plugin.

## share access create

Create new share access rule

    openstack share access create
        [--properties [<key=value> ...]]
        [--access-level <access_level>]
        [--wait]
        [--lock-visibility]
        [--lock-deletion]
        [--lock-reason <lock_reason>]
        <share>
        <access_type>
        <access_to>

--properties <key=value>

  Space separated list of key=value pairs of properties. OPTIONAL: Default=None. Available only for API microversion >= 2.45.

--access-level <access_level>

  Share access level (“rw” and “ro” access levels are supported). Defaults to rw.

--wait

  Wait for share access rule creation.

--lock-visibility

  Whether the sensitive fields of the access rule redacted to other users. Only available with API version >= 2.82.

--lock-deletion

  When enabled, a ‘delete’ lock will be placed against the rule and the rule cannot be deleted while the lock exists. Only available with API version >= 2.82.

--lock-reason <lock_reason>

  Reason for locking the access rule. Should only be provided alongside a deletion or visibility lock. Only available with API version >= 2.82.

share

  Name or ID of the NAS share to modify.

access_type

  Access rule type (only “ip”, “user” (user or group), “cert” or “cephx” are supported).

access_to

  Value that defines access.

This command is provided by the python-manilaclient plugin.

## share access delete

Delete a share access rule

    openstack share access delete [--wait] [--unrestrict] <share> <id>

--wait

  Wait for share access rule deletion

--unrestrict

  Seek access rule deletion despite restrictions. Only available with API version >= 2.82.

share

  Name or ID of the NAS share to modify.

id

  ID of the access rule to be deleted.

This command is provided by the python-manilaclient plugin.

## share access list

List share access rule

    openstack share access list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--properties [<key=value> ...]]
        [--access-type <access_type>]
        [--access-key <access_key>]
        [--access-to <access_to>]
        [--access-level <access_level>]
        <share>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--properties <key=value>

  Filters results by properties (key=value). OPTIONAL: Default=None. Available only for API microversion >= 2.45

--access-type <access_type>

  Filter access rules by the access type.

--access-key <access_key>

  Filter access rules by the access key.

--access-to <access_to>

  Filter access rules by the access to field.

--access-level <access_level>

  Filter access rules by the access level.

share

  Name or ID of the share.

This command is provided by the python-manilaclient plugin.

## share access set

Set properties to share access rule. Available for API microversion 2.45 and higher

    openstack share access set
        [--property <key=value>]
        [--access-level <access_level>]
        <access_id>

--property <key=value>

  Set a property to this share access rule. (Repeat option to set multiple properties) Available only for API microversion >= 2.45.

--access-level <access_level>

  Share access level (“rw” and “ro” access levels are supported) to set.

access_id

  ID of the NAS share access rule.

This command is provided by the python-manilaclient plugin.

## share access show

Display a share access rule. Available for API microversion 2.45 and higher

    openstack share access show <access_id>

access_id

  ID of the NAS share access rule.

This command is provided by the python-manilaclient plugin.

## share access unset

Unset properties of share access rule. Available for API microversion 2.45 and higher

    openstack share access unset [--property <key>] <access_id>

--property <key>

  Remove property from share access rule. (Repeat option to remove multiple properties) Available only for API microversion >= 2.45.

access_id

  ID of the NAS share access rule.

This command is provided by the python-manilaclient plugin.

## share adopt

Adopt a share

    openstack share adopt
        [--name <name>]
        [--description <description>]
        [--share-type <share-type>]
        [--driver-options [<key=value> ...]]
        [--public]
        [--share-server-id <share-server-id>]
        [--mount-point-name <mount_point_name>]
        [--wait]
        <service-host>
        <protocol>
        <export-path>

--name <name>

  Optional share name. (Default=None)

--description <description>

  Optional share description. (Default=None)

--share-type <share-type>

  Optional share type assigned to share. (Default=None)

--driver-options <key=value>

  Optional driver options as key=value pairs (Default=None).

--public

  Level of visibility for share. Defines whether other projects are able to see it or not. Available only for microversion >= 2.8. (Default=False)

--share-server-id <share-server-id>

  Share server associated with share when using a share type with “driver_handles_share_servers” extra_spec set to True. Available only for microversion >= 2.49. (Default=None)

--mount-point-name <mount_point_name>

  Optional custom export location. Available only for microversion >= 2.92. (Default=None)

--wait

  Wait until share is adopted

service-host

  Service host: some.host@driver#pool.

protocol

  Protocol of the share to manage, such as NFS or CIFS.

export-path

  Share export path, NFS share such as: 10.0.0.1:/example_path, CIFS share such as: \10.0.0.1example_cifs_share.

This command is provided by the python-manilaclient plugin.

## share availability zone list

List all availability zones

    openstack share availability zone list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

This command is provided by the python-manilaclient plugin.

## share backup create

Create a backup of the given share

    openstack share backup create
        [--name <name>]
        [--description <description>]
        [--backup-options <key=value>]
        <share>

--name <name>

  Optional share backup name. (Default=None).

--description <description>

  Optional share backup description. (Default=None).

--backup-options <key=value>

  Backup driver option key=value pairs (Optional, Default=None).

share

  Name or ID of the share to backup.

This command is provided by the python-manilaclient plugin.

## share backup delete

Delete one or more share backups

    openstack share backup delete [--wait] <backup> [<backup> ...]

--wait

  Wait for share backup deletion

backup

  Name or ID of the backup(s) to delete

This command is provided by the python-manilaclient plugin.

## share backup list

List share backups

    openstack share backup list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--share <share>]
        [--name <name>]
        [--description <description>]
        [--name~ <name~>]
        [--description~ <description~>]
        [--status <status>]
        [--limit <num-backups>]
        [--offset <offset>]
        [--sort-key <sort_key>]
        [--sort-dir <sort_dir>]
        [--detail [<0|1>]]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--share <share>

  Name or ID of the share to list backups for.

--name <name>

  Filter results by name. Default=None.

--description <description>

  Filter results by description. Default=None.

--name~ <name~>

  Filter results matching a share backup name pattern.

--description~ <description~>

  Filter results matching a share backup description

--status <status>

  Filter results by status. Default=None.

--limit <num-backups>

  Limit the number of backups returned. Default=None.

--offset <offset>

  Start position of backup records listing.

--sort-key <sort_key>, --sort_key <sort_key>

  Key to be sorted, available keys are (‘id’, ‘status’, ‘size’, ‘share_id’, ‘progress’, ‘restore_progress’, ‘name’, ‘host’, ‘topic’, ‘project_id’). Default=None.

--sort-dir <sort_dir>, --sort_dir <sort_dir>

  Sort direction, available values are (‘asc’, ‘desc’). OPTIONAL: Default=None.

--detail <0|1>

  Show detailed information about share backups.

This command is provided by the python-manilaclient plugin.

## share backup restore

Attempt to restore share backup

    openstack share backup restore
        [--target-share <target-share>]
        [--wait]
        <backup>

--target-share <target-share>

  share to restore backup to. Source share if none supplied

--wait

  Wait for restore conclusion

backup

  ID of backup to restore.

This command is provided by the python-manilaclient plugin.

## share backup set

Set share backup properties

    openstack share backup set
        [--name <name>]
        [--description <description>]
        [--status <status>]
        <backup>

--name <name>

  Set a name to the backup.

--description <description>

  Set a description to the backup.

--status <status>

  Assign a status to the backup(Admin only). Options include : available, error, creating, deleting, restoring.

backup

  Name or ID of the backup to set a property for

This command is provided by the python-manilaclient plugin.

## share backup show

Show details of a backup

    openstack share backup show <backup>

backup

  ID of the share backup.

This command is provided by the python-manilaclient plugin.

## share backup unset

Unset share backup properties

    openstack share backup unset [--name] [--description] <backup>

--name

  Unset a name to the backup.

--description

  Unset a description to the backup.

backup

  Name or ID of the backup to unset a property for

This command is provided by the python-manilaclient plugin.

## share create

Create new share

    openstack share create
        [--name <name>]
        [--snapshot-id <snapshot-id>]
        [--property <key=value>]
        [--share-network <network-info>]
        [--description <description>]
        [--public <public>]
        [--share-type <share-type>]
        [--availability-zone <availability-zone>]
        [--share-group <share-group>]
        [--wait]
        [--scheduler-hint <key=value>]
        [--mount-point-name <mount_point_name>]
        [--encryption-key-ref <encryption_key_ref>]
        <share_protocol>
        <size>

--name <name>

  Optional share name. (Default=None)

--snapshot-id <snapshot-id>

  Optional snapshot ID to create the share from. (Default=None)

--property <key=value>

  Set a property to this share (repeat option to set multiple properties)

--share-network <network-info>

  Optional network info ID or name.

--description <description>

  Optional share description. (Default=None)

--public <public>

  Level of visibility for share. Defines whether other tenants are able to see it or not. (Default = False)

--share-type <share-type>

  The share type to create the share with. If not specified, unless creating from a snapshot, the default share type will be used.

--availability-zone <availability-zone>

  Availability zone in which share should be created.

--share-group <share-group>

  Optional share group name or ID in which to create the share. (Default=None).

--wait

  Wait for share creation

--scheduler-hint <key=value>

  Set Scheduler hints for the share as key=value pairs, possible keys are same_host, different_host. (repeat option to set multiple hints)

--mount-point-name <mount_point_name>

  Optional custom export location. Available for microversion >= 2.84

--encryption-key-ref <encryption_key_ref>

  Set encryption key reference i.e. UUID of the secret stored in the key manager. Available for microversion >= 2.90

share_protocol

  Share protocol (NFS, CIFS, CephFS, GlusterFS or HDFS)

size

  Share size in GiB.

This command is provided by the python-manilaclient plugin.

## share delete

Delete a share

    openstack share delete
        [--share-group <share-group>]
        [--force]
        [--wait]
        [--soft]
        <share>
        [<share> ...]

--share-group <share-group>

  Optional share group (name or ID) which contains the share

--force

  Attempt forced removal of share(s), regardless of state (defaults to False)

--wait

  Wait for share deletion

--soft

  Soft delete one or more shares.

share

  Share(s) to delete (name or ID)

This command is provided by the python-manilaclient plugin.

## share export location list

List export location of a share

    openstack share export location list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        <share>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

share

  Name or ID of share

This command is provided by the python-manilaclient plugin.

## share export location set

Set an export location property.

    openstack share export location set
        [--property <key=value>]
        <share>
        <export_location>

--property <key=value>

  Set a property to this export location (repeat option to set multiple properties). Available only for microversion >= 2.87.

share

  Name or ID of share

export_location

  ID of the export location

This command is provided by the python-manilaclient plugin.

## share export location show

Show export location of a share

    openstack share export location show <share> <export-location>

share

  Name or ID of share

export-location

  ID of the share export location

This command is provided by the python-manilaclient plugin.

## share export location unset

Unset a share export location property

    openstack share export location unset
        [--property <key>]
        <share>
        <export_location>

--property <key>

  Remove a property from export location (repeat option to remove multiple properties). Available only for microversion >= 2.87.

share

  Name or ID of share

export_location

  ID of the export location

This command is provided by the python-manilaclient plugin.

## share group create

Create new share group

    openstack share group create
        [--name <name>]
        [--description <description>]
        [--share-types <share-types> [<share-types> ...]]
        [--share-group-type <share-group-type>]
        [--share-network <share-network>]
        [--source-share-group-snapshot <source-share-group-snapshot>]
        [--availability-zone <availability-zone>]
        [--wait]

--name <name>

  Share group name

--description <description>

  Share group description.

--share-types <share-types>

  Name or ID of share type(s).

--share-group-type <share-group-type>

  Share group type name or ID of the share group to be created.

--share-network <share-network>

  Specify share network name or id

--source-share-group-snapshot <source-share-group-snapshot>

  Share group snapshot name or ID to create the share group from.

--availability-zone <availability-zone>

  Optional availability zone in which group should be created

--wait

  Wait for share group creation

This command is provided by the python-manilaclient plugin.

## share group delete

Delete one or more share groups

    openstack share group delete
        [--force]
        [--wait]
        <share_group>
        [<share_group> ...]

--force

  Attempt to force delete the share group (Default=False) (Admin only).

--wait

  Wait for share group to delete

share_group

  Name or ID of the share group(s) to delete

This command is provided by the python-manilaclient plugin.

## share group list

List share groups

    openstack share group list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all-projects]
        [--name <name>]
        [--description <description>]
        [--status <status>]
        [--share-server <share-server-id>]
        [--share-group-type <share-group-type>]
        [--snapshot <snapshot>]
        [--host <host>]
        [--share-network <share-network>]
        [--project <project>]
        [--project-domain <project-domain>]
        [--limit <limit>]
        [--marker <marker>]
        [--sort <key>[:<direction>]]
        [--name~ <name~>]
        [--description~ <description~>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Display share groups from all projects (Admin only).

--name <name>

  Filter results by name.

--description <description>

  Filter results by description. Available only for microversion >= 2.36.

--status <status>

  Filter results by status.

--share-server <share-server-id>

  Filter results by share server ID.

--share-group-type <share-group-type>

  Filter results by a share group type ID or name that was used for share group creation.

--snapshot <snapshot>

  Filter results by share group snapshot name or ID that was used to create the share group.

--host <host>

  Filter results by host.

--share-network <share-network>

  Filter results by share-network name or ID.

--project <project>

  Filter results by project name or ID. Useful with set key ‘–all-projects’.

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--limit <limit>

  Limit the number of share groups returned

--marker <marker>

  The last share group ID of the previous page

--sort <key>[:<direction>]

  Sort output by selected keys and directions(asc or desc) (default: name:asc), multiple keys and directions can be specified separated by comma

--name~ <name~>

  Filter results matching a share group name pattern. Available only for microversion >= 2.36.

--description~ <description~>

  Filter results matching a share group description pattern. Available only for microversion >= 2.36.

This command is provided by the python-manilaclient plugin.

## share group set

Explicitly set share group status

    openstack share group set
        [--name <name>]
        [--description <description>]
        [--status <status>]
        <share-group>

--name <name>

  New name for the share group. (Default=None)

--description <description>

  Share group description. (Default=None)

--status <status>

  Explicitly update the status of a share group (Admin only). Examples include: available, error, creating, deleting, error_deleting.

share-group

  Name or ID of the share group to update.

This command is provided by the python-manilaclient plugin.

## share group show

Show details about a share group

    openstack share group show <share-group>

share-group

  Name or ID of the share group.

This command is provided by the python-manilaclient plugin.

## share group snapshot create

Create a share group snapshot of the given share group

    openstack share group snapshot create
        [--name <name>]
        [--description <description>]
        [--wait]
        <share-group>

--name <name>

  Optional share group snapshot name. (Default=None)

--description <description>

  Optional share group snapshot description. (Default=None)

--wait

  Wait for share group snapshot creation

share-group

  Name or ID of the share group.

This command is provided by the python-manilaclient plugin.

## share group snapshot delete

Delete one or more share group snapshot

    openstack share group snapshot delete
        [--force]
        [--wait]
        <share-group-snapshot>
        [<share-group-snapshot> ...]

--force

  Attempt to force delete the share group snapshot(s) (Default=False) (Admin only).

--wait

  Wait for share group snapshot deletion

share-group-snapshot

  Name or ID of the group snapshot(s) to delete

This command is provided by the python-manilaclient plugin.

## share group snapshot list

List share group snapshots

    openstack share group snapshot list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--all-projects]
        [--name <name>]
        [--status <status>]
        [--share-group <share-group>]
        [--limit <limit>]
        [--marker <marker>]
        [--sort <key>[:<direction>]]
        [--detailed]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Display information from all projects (Admin only).

--name <name>

  Filter results by name.

--status <status>

  Filter results by status.

--share-group <share-group>

  Filter results by share group name or ID.

--limit <limit>

  Limit the number of share groups returned

--marker <marker>

  The last share group snapshot ID of the previous page

--sort <key>[:<direction>]

  Sort output by selected keys and directions(asc or desc) (default: name:asc), multiple keys and directions can be specified separated by comma

--detailed

  Show detailed information about share group snapshot.

This command is provided by the python-manilaclient plugin.

## share group snapshot members list

List members of share group snapshot

    openstack share group snapshot members list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        <share-group-snapshot>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

share-group-snapshot

  Name or ID of the group snapshot to list members for

This command is provided by the python-manilaclient plugin.

## share group snapshot set

Set share group snapshot properties

    openstack share group snapshot set
        [--name <name>]
        [--description <description>]
        [--status <status>]
        <share-group-snapshot>

--name <name>

  Set a name to the snapshot.

--description <description>

  Set a description to the snapshot.

--status <status>

  Explicitly set the state of a share group snapshot(Admin only). Options include : available, error, creating, deleting, error_deleting.

share-group-snapshot

  Name or ID of the snapshot to set a property for

This command is provided by the python-manilaclient plugin.

## share group snapshot show

Show details about a share group snapshot

    openstack share group snapshot show <share-group-snapshot>

share-group-snapshot

  Name or ID of the share group snapshot to display

This command is provided by the python-manilaclient plugin.

## share group snapshot unset

Unset a share group snapshot property

    openstack share group snapshot unset
        [--name]
        [--description]
        <share-group-snapshot>

--name

  Unset share group snapshot name.

--description

  Unset share group snapshot description.

share-group-snapshot

  Name or ID of the group snapshot to unset a property of

This command is provided by the python-manilaclient plugin.

## share group type access create

Allow a project to access a share group type (Admin only).

    openstack share group type access create
        [--project-domain <project-domain>]
        <share-group-type>
        <project>
        [<project> ...]

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

share-group-type

  Share group type name or ID to allow access to.

project

  Project Name or ID to add share group type access for.

This command is provided by the python-manilaclient plugin.

## share group type access delete

Deny a project to access a share group type (Admin only).

    openstack share group type access delete
        [--project-domain <project-domain>]
        <share-group-type>
        <project>
        [<project> ...]

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

share-group-type

  Share group type name or ID to deny access from

project

  Project Name(s) or ID(s) to deny share group type access for.

This command is provided by the python-manilaclient plugin.

## share group type access list

Get access list for share group type (Admin only).

    openstack share group type access list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        <share-group-type>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

share-group-type

  Filter results by share group type name or ID.

This command is provided by the python-manilaclient plugin.

## share group type create

Create new share group type

    openstack share group type create
        [--group-specs [<key=value> ...]]
        [--public <public>]
        <name>
        <share-types>
        [<share-types> ...]

--group-specs <key=value>

  Share Group type extra specs by key and value. OPTIONAL: Default=None. Example: –group-specs consistent_snapshot_support=host.

--public <public>

  Make type accessible to the public (default true).

name

  Share group type name

share-types

  List of share type names or IDs. Example: my-share-type-1 my-share-type-2

This command is provided by the python-manilaclient plugin.

## share group type delete

Delete a share group type

    openstack share group type delete
        <share-group-types>
        [<share-group-types> ...]

share-group-types

  Name or ID of the share group type(s) to delete

This command is provided by the python-manilaclient plugin.

## share group type list

List share types

    openstack share group type list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all]
        [--group-specs [<key=value> ...]]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all

  Display all share group types whether public or private. Default=False. (Admin only)

--group-specs <key=value>

  Filter share group types with group specs (key=value).

This command is provided by the python-manilaclient plugin.

## share group type set

Set share group type properties

    openstack share group type set
        [--group-specs [<key=value> ...]]
        <share-group-type>

--group-specs <key=value>

  Extra specs key and value of share group type that will be used for share type creation. OPTIONAL: Default=None. Example: –group-specs consistent-snapshot-support=True

share-group-type

  Name or ID of the share group type to modify

This command is provided by the python-manilaclient plugin.

## share group type show

Show share group types

    openstack share group type show <share-group-type>

share-group-type

  Name or ID of the share group type to show

This command is provided by the python-manilaclient plugin.

## share group type unset

Unset share group type extra specs

    openstack share group type unset <share-group-type> <key> [<key> ...]

share-group-type

  Name or ID of the share grouptype to modify

key

  Remove group specs from this share group type

This command is provided by the python-manilaclient plugin.

## share group unset

Unset a share group property

    openstack share group unset [--name] [--description] <share-group>

--name

  Unset share group name.

--description

  Unset share group description.

share-group

  Name or ID of the share group to set a property for.

This command is provided by the python-manilaclient plugin.

## share instance delete

Forces the deletion of a share instance

    openstack share instance delete [--wait] <instance> [<instance> ...]

--wait

  Wait for share instance deletion.

instance

  ID of the share instance to delete.

This command is provided by the python-manilaclient plugin.

## share instance export location list

List share instance export locations

    openstack share instance export location list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        <instance>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

instance

  ID of the share instance.

This command is provided by the python-manilaclient plugin.

## share instance export location show

Show export location for a share instance.

    openstack share instance export location show
        <instance>
        <export_location>

instance

  Name or ID of the share instance

export_location

  ID of the share instance export location.

This command is provided by the python-manilaclient plugin.

## share instance list

List share instances

    openstack share instance list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--share <share>]
        [--export-location <export-location>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--share <share>

  Name or ID of the share to list instances for.

--export-location <export-location>

  Export location to list instances for.

This command is provided by the python-manilaclient plugin.

## share instance set

Explicitly reset share instance status

    openstack share instance set [--status <status>] <instance>

--status <status>

  Indicate which state to assign the instance. Options are: available, error, creating, deleting,error_deleting, migrating, migrating_to, server_migrating.

instance

  Instance to be modified.

This command is provided by the python-manilaclient plugin.

## share instance show

Show share instance

    openstack share instance show <instance>

instance

  ID of the share instance.

This command is provided by the python-manilaclient plugin.

## share limits show

Show a list of share limits for a user.

    openstack share limits show
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        (--absolute | --rate)

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--absolute

  Get the absolute limits for the user

--rate

  Get the API rate limits for the user

This command is provided by the python-manilaclient plugin.

## share list

List shares

    openstack share list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--name <share-name>]
        [--status <share-status>]
        [--snapshot <share-network-id>]
        [--export-location <export-location>]
        [--soft-deleted]
        [--public]
        [--share-network <share-network-name-or-id>]
        [--share-type <share-type-name-or-id>]
        [--share-group <share-group-name-or-id>]
        [--host <share-host>]
        [--share-server <share-server-id>]
        [--project <project>]
        [--project-domain <project-domain>]
        [--user <user>]
        [--user-domain <user-domain>]
        [--all-projects]
        [--property <key=value>]
        [--extra-spec <key=value>]
        [--long]
        [--sort <key>[:<direction>]]
        [--limit <num-shares>]
        [--marker <share>]
        [--name~ <name~>]
        [--description~ <description~>]
        [--encryption-key-ref <encryption_key_ref>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--name <share-name>

  Filter shares by share name

--status <share-status>

  Filter shares by status

--snapshot <share-network-id>

  Filter shares by snapshot name or id.

--export-location <export-location>

  Filter shares by export location id or path. Available only for microversion >= 2.35

--soft-deleted

  Get shares in recycle bin. If this parameter is set to True (Default=False), only shares in the recycle bin will be displayed. Available only for microversion >= 2.69.

--public

  Include public shares

--share-network <share-network-name-or-id>

  Filter shares exported on a given share network

--share-type <share-type-name-or-id>

  Filter shares of a given share type

--share-group <share-group-name-or-id>

  Filter shares belonging to a given share group

--host <share-host>

  Filter shares belonging to a given host (admin only)

--share-server <share-server-id>

  Filter shares exported via a given share server (admin only)

--project <project>

  Filter shares by project (name or ID) (admin only)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--user <user>

  Filter results by user (name or ID) (admin only)

--user-domain <user-domain>

  Domain the user belongs to (name or ID). This can be used in case collisions between user names exist.

--all-projects

  Include all projects (admin only)

--property <key=value>

  Filter shares having a given metadata key=value property (repeat option to filter by multiple properties)

--extra-spec <key=value>

  Filter shares with extra specs (key=value) of the share type that they belong to. (repeat option to filter by multiple extra specs)

--long

  List additional fields in output

--sort <key>[:<direction>]

  Sort output by selected keys and directions(asc or desc) (default: name:asc), multiple keys and directions can be specified separated by comma

--limit <num-shares>

  Maximum number of shares to display

--marker <share>

  The last share ID of the previous page

--name~ <name~>

  Filter results matching a share name pattern. Available only for microversion >= 2.36.

--description~ <description~>

  Filter results matching a share description pattern.Available only for microversion >= 2.36.

--encryption-key-ref <encryption_key_ref>

  Filter shares by their encryption key ref. Available for microversion >= 2.90

This command is provided by the python-manilaclient plugin.

## share lock create

Lock a resource action from occurring on a resource

    openstack share lock create
        [--resource-action <resource_action>]
        [--lock-reason <lock_reason>]
        <resource_name_or_id>
        <resource_type>

--resource-action <resource_action>, --resource_action <resource_action>

  Action to lock on the resource (default=”delete”)

--lock-reason <lock_reason>, --lock_reason <lock_reason>, --reason <lock_reason>

  Reason for the resource lock.

resource_name_or_id

  Name or ID of resource to lock.

resource_type

  Type of the resource (e.g.: share, access).

This command is provided by the python-manilaclient plugin.

## share lock delete

Remove one or more resource locks

    openstack share lock delete <lock> [<lock> ...]

lock

  ID(s) of the lock(s).

This command is provided by the python-manilaclient plugin.

## share lock list

Lists all resource locks

    openstack share lock list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all-projects]
        [--project PROJECT]
        [--user USER]
        [--id <id>]
        [--resource <resource-id>]
        [--resource-type <resource_type>]
        [--resource-action <resource_action>]
        [--lock-context <lock_context>]
        [--since <created_since>]
        [--before <created_before>]
        [--limit <limit>]
        [--offset <offset>]
        [--sort-key <sort_key>]
        [--sort-dir <sort_dir>]
        [--detailed [<0|1>]]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Filter resource locks for all projects. (Admin only).

--project <PROJECT>

  Filter resource locks for specific project by name or ID, combine with –all-projects (Admin only).

--user <USER>

  Filter resource locks for specific user by name or ID, combine with –all-projects to search across projects (Admin only).

--id <id>

  Filter resource locks by ID. Default=None.

--resource <resource-id>, --resource-id <resource-id>, --resource_id <resource-id>

  Filter resource locks for a resource by ID, specify –resource-type to look up by name.

--resource-type <resource_type>, --resource_type <resource_type>

  Filter resource locks by type of resource.

--resource-action <resource_action>, --resource_action <resource_action>

  Filter resource locks by resource action.

--lock-context <lock_context>, --lock_context <lock_context>, --context <lock_context>

  Filter resource locks by context.

--since <created_since>

  Filter resource locks created since given date. The date format must be conforming to ISO8601.

--before <created_before>

  Filter resource locks created before given date. The date format must be conforming to ISO8601.

--limit <limit>

  Number of resource locks to list. (Default=None)

--offset <offset>

  Starting position of resource lock records in a paginated list.

--sort-key <sort_key>, --sort_key <sort_key>

  Key to be sorted, available keys are (‘id’, ‘created_at’, ‘updated_at’, ‘resource_id’, ‘resource_type’, ‘resource_action’, ‘lock_reason’). Default=None.

--sort-dir <sort_dir>, --sort_dir <sort_dir>

  Sort direction, available values are (‘asc’, ‘desc’). OPTIONAL: Default=None.

--detailed <0|1>

  Show detailed information about filtered resource locks.

This command is provided by the python-manilaclient plugin.

## share lock set

Update resource lock properties

    openstack share lock set
        [--resource-action <resource_action>]
        [--lock-reason LOCK_REASON]
        <lock>

--resource-action <resource_action>, --resource_action <resource_action>

  Resource action to set in the resource lock

--lock-reason <LOCK_REASON>, --lock_reason <LOCK_REASON>, --reason <LOCK_REASON>

  Reason for the resource lock

lock

  ID of lock to update.

This command is provided by the python-manilaclient plugin.

## share lock show

Show details about a resource lock

    openstack share lock show <lock>

lock

  ID of resource lock to show.

This command is provided by the python-manilaclient plugin.

## share lock unset

Remove resource lock properties

    openstack share lock unset [--lock-reason] <lock>

--lock-reason, --lock_reason, --reason

  Unset the lock reason. (Default=False)

lock

  ID of resource lock to update.

This command is provided by the python-manilaclient plugin.

## share message delete

Remove one or more messages

    openstack share message delete <message> [<message> ...]

message

  ID of the message(s).

This command is provided by the python-manilaclient plugin.

## share message list

Lists all messages

    openstack share message list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--resource-id <resource-id>]
        [--resource-type <resource-type>]
        [--action-id <action-id>]
        [--detail-id <detail-id>]
        [--request-id <request-id>]
        [--message-level <message-level>]
        [--limit <limit>]
        [--since <since>]
        [--before <before>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--resource-id <resource-id>

  Filters results by a resource uuid. Default=None.

--resource-type <resource-type>

  Filters results by a resource type. Default=None. Example: “openstack message list –resource-type share”

--action-id <action-id>

  Filters results by action id. Default=None.

--detail-id <detail-id>

  Filters results by detail id. Default=None.

--request-id <request-id>

  Filters results by request id. Default=None.

--message-level <message-level>

  Filters results by the message level. Default=None. Example: “openstack message list –message-level ERROR”.

--limit <limit>

  Maximum number of messages to return. (Default=None)

--since <since>

  Return only user messages created since given date. The date format must be conforming to ISO8601. Available only for microversion >= 2.52.

--before <before>

  Return only user messages created before given date. The date format must be conforming to ISO8601. Available only for microversion >= 2.52.

This command is provided by the python-manilaclient plugin.

## share message show

Show details about a message

    openstack share message show <message>

message

  ID of the message.

This command is provided by the python-manilaclient plugin.

## share migration cancel

Cancels migration of a given share when copying

    openstack share migration cancel <share>

share

  Name or ID of share to migrate.

This command is provided by the python-manilaclient plugin.

## share migration complete

Completes migration for a given share

    openstack share migration complete <share>

share

  Name or ID of share to migrate.

This command is provided by the python-manilaclient plugin.

## share migration show

Gets migration progress of a given share when copying

    openstack share migration show <share>

share

  Name or ID of the share to get share migration progress information.

This command is provided by the python-manilaclient plugin.

## share migration start

Migrates share to a new host.

    openstack share migration start
        [--force-host-assisted-migration <force-host-assisted-migration>]
        --preserve-metadata <preserve-metadata>
        --preserve-snapshots <preserve-snapshots>
        --writable <writable>
        --nondisruptive <nondisruptive>
        [--new-share-network <new_share_network>]
        [--new-share-type <new-share-type>]
        <share>
        <host>

--force-host-assisted-migration <force-host-assisted-migration>

  Enforces the use of the host-assisted migration approach, which bypasses driver optimizations. Default=False.

--preserve-metadata <preserve-metadata>

  Enforces migration to preserve all file metadata when moving its contents. If set to True, host-assisted migration will not be attempted.

--preserve-snapshots <preserve-snapshots>

  Enforces migration of the share snapshots to the destination. If set to True, host-assisted migration will not be attempted.

--writable <writable>

  Enforces migration to keep the share writable while contents are being moved. If set to True, host-assisted migration will not be attempted.

--nondisruptive <nondisruptive>

  Enforces migration to be nondisruptive. If set to True, host-assisted migration will not be attempted.

--new-share-network <new_share_network>

  Specify the new share network for the share. Do not specify this parameter if the migrating share has to be retained within its current share network.

--new-share-type <new-share-type>

  Specify the new share type for the share. Do not specify this parameter if the migrating share has to be retained with its current share type.

share

  Name or ID of share to migrate.

host

  Destination host where share will be migrated to. Use the format ‘host@backend#pool’.

This command is provided by the python-manilaclient plugin.

## share network create

Create a share network

    openstack share network create
        [--name <share-network>]
        [--description <description>]
        [--neutron-net-id <neutron-net-id>]
        [--neutron-subnet-id <neutron-subnet-id>]
        [--availability-zone <availability-zone>]

--name <share-network>

  Add a name to the share network (Optional)

--description <description>

  Add a description to the share network (Optional).

--neutron-net-id <neutron-net-id>

  ID of the neutron network that must be associated with the share network (Optional). The network specified will be associated with the ‘default’ share network subnet, unless ‘availability-zone’ is also specified.

--neutron-subnet-id <neutron-subnet-id>

  ID of the neutron sub-network that must be associated with the share network (Optional). The subnet specified will be associated with the ‘default’ share network subnet, unless ‘availability-zone’ is also specified.

--availability-zone <availability-zone>

  Name or ID of the avalilability zone to assign the specified network subnet parameters to. Must be used in conjunction with ‘neutron-net-id’ and ‘neutron-subnet-id’. Do not specify this parameter if the network must be available across all availability zones (‘default’ share network subnet). Available only for microversion >= 2.51.

This command is provided by the python-manilaclient plugin.

## share network delete

Delete one or more share networks

    openstack share network delete
        [--wait]
        <share-network>
        [<share-network> ...]

--wait

  Wait for the share network(s) to be deleted

share-network

  Name or ID of the share network(s) to delete

This command is provided by the python-manilaclient plugin.

## share network list

List share networks

    openstack share network list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--name <share-network>]
        [--name~ <share-network-name-pattern>]
        [--description <share-network-description>]
        [--description~ <share-network-description-pattern>]
        [--all-projects]
        [--project <project>]
        [--project-domain <project-domain>]
        [--created-since <yyyy-mm-dd>]
        [--created-before <yyyy-mm-dd>]
        [--security-service <security-service>]
        [--neutron-net-id <neutron-net-id>]
        [--neutron-subnet-id <neutron-subnet-id>]
        [--network-type <network-type>]
        [--segmentation-id <segmentation-id>]
        [--cidr <X.X.X.X/X>]
        [--ip-version 4/6]
        [--detail]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--name <share-network>

  Filter share networks by name

--name~ <share-network-name-pattern>

  Filter share networks by name-pattern. Available only for microversion >= 2.36.

--description <share-network-description>

  Filter share networks by description. Available only for microversion >= 2.36

--description~ <share-network-description-pattern>

  Filter share networks by description-pattern. Available only for microversion >= 2.36.

--all-projects

  Include all projects (admin only)

--project <project>

  Filter share networks by project (name or ID) (admin only)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--created-since <yyyy-mm-dd>

  Filter share networks by date they were created after. The date can be in the format yyyy-mm-dd.

--created-before <yyyy-mm-dd>

  Filter share networks by date they were created before. The date can be in the format yyyy-mm-dd.

--security-service <security-service>

  Filter share networks by the name or ID of a security service attached to the network.

--neutron-net-id <neutron-net-id>

  Filter share networks by the ID of a neutron network.

--neutron-subnet-id <neutron-subnet-id>

  Filter share networks by the ID of a neutron sub network.

--network-type <network-type>

  Filter share networks by the type of network. Examples include “flat”, “vlan”, “vxlan”, “geneve”, etc.

--segmentation-id <segmentation-id>

  Filter share networks by the segmentation ID of network. Relevant only for segmented networks such as “vlan”, “vxlan”, “geneve”, etc.

--cidr <X.X.X.X/X>

  Filter share networks by the CIDR of network.

--ip-version 4/6

  Filter share networks by the IP Version of the network, either 4 or 6.

--detail

  List share networks with details

This command is provided by the python-manilaclient plugin.

## share network set

Set share network properties

    openstack share network set
        [--name <name>]
        [--description <description>]
        [--status <status>]
        [--neutron-net-id <neutron-net-id>]
        [--neutron-subnet-id <neutron-subnet-id>]
        [--current-security-service <security-service>]
        [--new-security-service <security-service>]
        [--check-only]
        [--restart-check]
        <share-network>

--name <name>

  Set a new name to the share network.

--description <description>

  Set a new description to the share network.

--status <status>

  Assign a status to the share network (Admin only). Options include : active, error, network_change. Available only for microversion >= 2.63.

--neutron-net-id <neutron-net-id>

  Update the neutron network associated with the default share network subnet. If a default share network subnet is not present or if the share network is in use, setting this will fail.

--neutron-subnet-id <neutron-subnet-id>

  Update the neutron subnetwork associated with the default share network subnet. If a default share network subnet is not present or if the share network is in use, setting this will fail.

--current-security-service <security-service>

  Name or ID of a security service that is currently associated with a share network that must be replaced. Replacing a security service is only available for microversions >= 2.63.

--new-security-service <security-service>

  Name or ID of a security service that must be associated with the share network. When replacing a security service, the current security service must also be provided with the ‘–current-security-service’ option. Replacing a security service is only available for microversions >= 2.63.

--check-only

  Run a dry-run of a security service replacement. Available only for microversion >=2.63

--restart-check

  Restart a dry-run of a security service replacement. Helpful when check results are stale. Available only for microversion >=2.63.

share-network

  Name or ID of the share network to set a property for

This command is provided by the python-manilaclient plugin.

## share network show

Show details about a share network

    openstack share network show <share-network>

share-network

  Name or ID of the share network to display

This command is provided by the python-manilaclient plugin.

## share network subnet create

Create a share network subnet

    openstack share network subnet create
        [--neutron-net-id <neutron-net-id>]
        [--neutron-subnet-id <neutron-subnet-id>]
        [--availability-zone <availability-zone>]
        [--check-only]
        [--restart-check]
        [--property <key=value>]
        <share-network>

--neutron-net-id <neutron-net-id>

  Neutron network ID. Used to set up network for share servers (optional). Should be defined together with ‘–neutron-subnet-id’.

--neutron-subnet-id <neutron-subnet-id>

  Neutron subnet ID. Used to set up network for share servers (optional). Should be defined together with ‘–neutron-net-id’ to which this subnet belongs to.

--availability-zone <availability-zone>

  Optional availability zone that the subnet is available within (Default=None). If None, the subnet will be considered as being available across all availability zones.

--check-only

  Run a dry-run of a share network subnet create. Available only for microversion >= 2.70.

--restart-check

  Restart a dry-run of a share network subnet create. Helpful when check results are stale. Available only for microversion >= 2.70.

--property <key=value>

  Set a property to this share network subnet (repeat option to set multiple properties). Available only for microversion >= 2.78.

share-network

  Share network name or ID.

This command is provided by the python-manilaclient plugin.

## share network subnet delete

Delete a share network subnet

    openstack share network subnet delete
        <share-network>
        <share-network-subnet>
        [<share-network-subnet> ...]

share-network

  Share network name or ID.

share-network-subnet

  ID(s) of share network subnet(s) to be deleted.

This command is provided by the python-manilaclient plugin.

## share network subnet set

Set share network subnet properties

    openstack share network subnet set
        [--property <key=value>]
        <share-network>
        <share-network-subnet>

--property <key=value>

  Set a property to this share network subnet (repeat option to set multiple properties). Available only for microversion >= 2.78.

share-network

  Share network name or ID.

share-network-subnet

  ID of share network subnet to set a property.

This command is provided by the python-manilaclient plugin.

## share network subnet show

Show share network subnet

    openstack share network subnet show
        <share-network>
        <share-network-subnet>

share-network

  Share network name or ID.

share-network-subnet

  ID of share network subnet to show.

This command is provided by the python-manilaclient plugin.

## share network subnet unset

Unset a share network subnet property

    openstack share network subnet unset
        [--property <key>]
        <share-network>
        <share-network-subnet>

--property <key>

  Remove a property from share network subnet (repeat option to remove multiple properties). Available only for microversion >= 2.78.

share-network

  Share network name or ID.

share-network-subnet

  ID of share network subnet to set a property.

This command is provided by the python-manilaclient plugin.

## share network unset

Unset a share network property

    openstack share network unset
        [--name]
        [--description]
        [--security-service <security-service>]
        <share-network>

--name

  Unset share network name.

--description

  Unset share network description.

--security-service <security-service>

  Disassociate a security service from the share network. This is only possible with unused share networks.

share-network

  Name or ID of the share network to unset a property of

This command is provided by the python-manilaclient plugin.

## share pool list

List all backend storage pools known to the scheduler (Admin only).

    openstack share pool list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--host <host>]
        [--backend <backend>]
        [--pool <pool>]
        [--detail]
        [--share-type <share-type>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--host <host>

  Filter results by host name. Regular expressions are supported.

--backend <backend>

  Filter results by backend name. Regular expressions are supported.

--pool <pool>

  Filter results by pool name. Regular expressions are supported.

--detail

  Show detailed information about pools.

--share-type <share-type>

  Filter results by share type name or ID. Available only for microversion >= 2.23

This command is provided by the python-manilaclient plugin.

## share properties show

Show share properties

    openstack share properties show <share>

share

  Name or ID of share

This command is provided by the python-manilaclient plugin.

## share qos type create

Create new qos type

    openstack share qos type create
        [--description <description>]
        [--spec <key=value>]
        <name>

--description <description>

  QoS type description.

--spec <key=value>

  Spec key and value of QoS type that will be used for QoS type creation. OPTIONAL: Default=None. Example: –spec qos_type=’fixed’ –spec peak_iops=300.

name

  QoS type name. This must be unique.

This command is provided by the python-manilaclient plugin.

## share qos type delete

Delete a qos type

    openstack share qos type delete <qos_types> [<qos_types> ...]

qos_types

  Name or ID of the qos type(s) to delete

This command is provided by the python-manilaclient plugin.

## share qos type list

List qos types

    openstack share qos type list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--name <name>]
        [--description <description>]
        [--name~ <name~>]
        [--description~ <description~>]
        [--limit <num-qos-types>]
        [--offset <offset>]
        [--sort-key <sort_key>]
        [--sort-dir <sort_dir>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--name <name>

  Filter results by name. Default=None.

--description <description>

  Filter results by description. Default=None.

--name~ <name~>

  Filter results matching a qos name pattern.

--description~ <description~>

  Filter results matching a qos description pattern.

--limit <num-qos-types>

  Limit the number of qos types returned. Default=None.

--offset <offset>

  Start position of qos type records listing.

--sort-key <sort_key>, --sort_key <sort_key>

  Key to be sorted with, available keys are (‘id’, ‘name’, ‘created_at’, ‘updated_at’). Default=None.

--sort-dir <sort_dir>, --sort_dir <sort_dir>

  Sort direction, available values are (‘asc’, ‘desc’). OPTIONAL: Default=None.

This command is provided by the python-manilaclient plugin.

## share qos type set

Set qos type description or specs

    openstack share qos type set
        [--description <description>]
        [--spec <key=value>]
        <qos_type>

--description <description>

  New description of qos type.

--spec <key=value>

  Spec key and value of qos type that will be used for QoS type. OPTIONAL: Default=None. For example –spec qos_type=’fixed’ –spec peak_iops=300

qos_type

  Name or ID of the qos type to modify

This command is provided by the python-manilaclient plugin.

## share qos type show

Display qos type details

    openstack share qos type show <qos_type>

qos_type

  Qos type to display (name or ID)

This command is provided by the python-manilaclient plugin.

## share qos type unset

Unset qos type specs

    openstack share qos type unset
        [--description]
        [--spec <key>]
        <qos_type>

--description

  Unset qos type description.

--spec <key>

  Remove specified spec from this qos type

qos_type

  Name or ID of the qos type to modify

This command is provided by the python-manilaclient plugin.

## share quota delete

Delete Quota

    openstack share quota delete
        [--user
        <user>
        |
        --share-type <share-type>
        ]
        <project>

--user <user>

  Name or ID of user to delete the quotas for. Optional. Mutually exclusive with ‘–share-type’.

--share-type <share-type>

  Name or ID of a share type to delete the quotas for. Optional. Mutually exclusive with ‘–user’. Available only for microversion >= 2.39

project

  Name or ID of the project to delete quotas for.

This command is provided by the python-manilaclient plugin.

## share quota set

Set Quota for a project, or project/user or project/share-type or a class.

    openstack share quota set
        [--class
        |
        --user <user>
        |
        --share-type <share-type>
        ]
        [--shares <shares>]
        [--snapshots <snapshots>]
        [--gigabytes <gigabytes>]
        [--snapshot-gigabytes <snapshot-gigabytes>]
        [--share-networks <share-networks>]
        [--share-groups <share-groups>]
        [--share-group-snapshots <share-group-snapshots>]
        [--share-replicas <share-replicas>]
        [--replica-gigabytes <replica-gigabytes>]
        [--per-share-gigabytes <per-share-gigabytes>]
        [--encryption-keys <encryption-keys>]
        [--force]
        <project/class>

--class

  Update class quota to all projects. Mutually exclusive with ‘–user’ and ‘–share-type’.

--user <user>

  Name or ID of a user to set the quotas for. Mutually exclusive with ‘–share-type’ and ‘–class’.

--share-type <share-type>

  Name or ID of a share type to set the quotas for. Mutually exclusive with ‘–user’ and ‘–class’. Available only for microversion >= 2.39

--shares <shares>

  New value for the “shares” quota.

--snapshots <snapshots>

  New value for the “snapshots” quota.

--gigabytes <gigabytes>

  New value for the “gigabytes” quota.

--snapshot-gigabytes <snapshot-gigabytes>

  New value for the “snapshot-gigabytes” quota.

--share-networks <share-networks>

  New value for the “share-networks” quota.

--share-groups <share-groups>

  New value for the “share-groups” quota. Available only for microversion >= 2.40

--share-group-snapshots <share-group-snapshots>

  New value for the “share-group-snapshots” quota. Available only for microversion >= 2.40

--share-replicas <share-replicas>

  Number of share replicas. Available only for microversion >= 2.53

--replica-gigabytes <replica-gigabytes>

  Capacity of share replicas in total. Available only for microversion >= 2.53

--per-share-gigabytes <per-share-gigabytes>

  New value for the “per-share-gigabytes” quota. Available only for microversion >= 2.62

--encryption-keys <encryption-keys>

  New value for the “encryption-keys” quota. Available only for microversion >= 2.90

--force

  Force update the quota. Not applicable for class update.

project/class

  A project (name/ID) or a class (e.g.: default).

This command is provided by the python-manilaclient plugin.

## share quota show

Show Quota

    openstack share quota show
        [--user <user> | --share-type <share-type>]
        [--detail]
        [--defaults]
        <project>

--user <user>

  Name or ID of user to list the quotas for. Optional. Mutually exclusive with ‘–share-type’.

--share-type <share-type>

  Name or ID of a share type to list the quotas for. Optional. Mutually exclusive with ‘–user’. Available only for microversion >= 2.39

--detail

  Optional flag to indicate whether to show quota in detail. Default false, available only for microversion >= 2.25.

--defaults

  Show the default quotas for the project.

project

  Name or ID of the project to list quotas for.

This command is provided by the python-manilaclient plugin.

## share replica create

Create a replica of the given share

    openstack share replica create
        [--availability-zone <availability-zone>]
        [--wait]
        [--scheduler-hint <key=value>]
        [--share-network <share-network-name-or-id>]
        [--property <key=value>]
        <share>

--availability-zone <availability-zone>

  Availability zone in which the replica should be created.

--wait

  Wait for replica creation

--scheduler-hint <key=value>

  Scheduler hint for the share replica as key=value pairs, Supported key is only_host. Available for microversion >= 2.67.

--share-network <share-network-name-or-id>

  Optional network info ID or name. Available for microversion >= 2.72

--property <key=value>

  Set a property to this replica (repeat option to set multiple properties). Available only for microversion >= 2.95

share

  Name or ID of the share to replicate.

This command is provided by the python-manilaclient plugin.

## share replica delete

Delete one or more share replicas

    openstack share replica delete
        [--force]
        [--wait]
        <replica>
        [<replica> ...]

--force

  Attempt to force delete a replica on its backend. Using this option will purge the replica from Manila even if it is not cleaned up on the backend.

--wait

  Wait for share replica deletion

replica

  Name or ID of the replica(s) to delete

This command is provided by the python-manilaclient plugin.

## share replica export location list

List export locations of a share replica.

    openstack share replica export location list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        <replica>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

replica

  ID of the share replica.

This command is provided by the python-manilaclient plugin.

## share replica export location show

Show details of a share replica’s export location.

    openstack share replica export location show
        <replica>
        <export-location>

replica

  ID of the share replica.

export-location

  ID of the share replica export location.

This command is provided by the python-manilaclient plugin.

## share replica list

List share replicas

    openstack share replica list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--share <share>]
        [--property <key=value>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--share <share>

  Name or ID of the share to list replicas for.

--property <key=value>

  Filter replicas having a given metadata key=value property. (repeat option to filter by multiple properties)

This command is provided by the python-manilaclient plugin.

## share replica promote

Promote specified replica to ‘active’ replica_state.

    openstack share replica promote
        [--quiesce-wait-time <quiesce-wait-time>]
        [--wait]
        <replica>

--quiesce-wait-time <quiesce-wait-time>

  Quiesce wait time in seconds. Available for microversion >= 2.75

--wait

  Wait for share replica promotion

replica

  ID of the share replica.

This command is provided by the python-manilaclient plugin.

## share replica resync

Attempt to update the share replica with its ‘active’ mirror.

    openstack share replica resync <replica>

replica

  ID of the share replica to resync.

This command is provided by the python-manilaclient plugin.

## share replica set

Explicitly set share replica status and/or replica-state and/or property

    openstack share replica set
        [--replica-state <replica-state>]
        [--status <status>]
        [--property <key=value>]
        <replica>

--replica-state <replica-state>

  Indicate which replica_state to assign the replica. Options include in_sync, out_of_sync, active and error.

--status <status>

  Indicate which status to assign the replica. Options include available, error, creating, deleting and error_deleting.

--property <key=value>

  Set a property to this replica (repeat option to set multiple properties). Available only for microversion >= 2.95

replica

  ID of the share replica to modify.

This command is provided by the python-manilaclient plugin.

## share replica show

Show details about a replica

    openstack share replica show <replica>

replica

  ID of the share replica. Available only for microversion >= 2.47.

This command is provided by the python-manilaclient plugin.

## share replica unset

Unset a share replica property

    openstack share replica unset [--property <key>] <replica>

--property <key>

  Remove a property from replica (repeat option to remove multiple properties)

replica

  Unset a property for

This command is provided by the python-manilaclient plugin.

## share resize

Resize a share

    openstack share resize [--wait] [--force] <share> <new-size>

--wait

  Wait for share resize

--force

  Only applicable when increasing the size of the share，only available with microversion 2.64 and higher. (admin only)

share

  Name or ID of share to resize

new-size

  New size of share, in GiBs

This command is provided by the python-manilaclient plugin.

## share restore

Restores this share or more shares from the recycle bin

    openstack share restore <share> [<share> ...]

share

  Name or ID of the share(s)

This command is provided by the python-manilaclient plugin.

## share revert

Revert a share to the specified snapshot.

    openstack share revert [--wait] <snapshot>

--wait

  Wait for share revert

snapshot

  Name or ID of the snapshot to restore. The snapshot must be the most recent one known to manila.

This command is provided by the python-manilaclient plugin.

## share security service create

Create security service used by project.

    openstack share security service create
        [--dns-ip <dns-ip>]
        [--ou <ou>]
        [--server <server>]
        [--domain <domain>]
        [--user <user]
        [--password <password>]
        [--name <name>]
        [--description <description>]
        [--default-ad-site <default_ad_site>]
        <type>

--dns-ip <dns-ip>

  DNS IP address of the security service used inside project’s network.

--ou <ou>

  Security service OU (Organizational Unit). Available only for microversion >= 2.44.

--server <server>

  Security service IP address or hostname.

--domain <domain>

  Security service domain.

--user <user

  Security service user or group used by project.

--password <password>

  Password used by user.

--name <name>

  Security service name.

--description <description>

  Security service description.

--default-ad-site <default_ad_site>

  Default AD site. Available only for microversion >= 2.76. Can be provided in the place of ‘–server’ but not along with it.

type

  Security service type. Possible options are: ‘ldap’, ‘kerberos’, ‘active_directory’.

This command is provided by the python-manilaclient plugin.

## share security service delete

Delete one or more security services.

    openstack share security service delete
        <security-service>
        [<security-service> ...]

security-service

  Name or ID of the security service(s) to delete.

This command is provided by the python-manilaclient plugin.

## share security service list

List security services.

    openstack share security service list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--all-projects]
        [--share-network <share-network>]
        [--status <status>]
        [--name <name>]
        [--type <type>]
        [--user <user]
        [--dns-ip <dns-ip>]
        [--ou <ou>]
        [--default-ad-site <default_ad_site>]
        [--server <server>]
        [--domain <domain>]
        [--detail]
        [--limit <num-security-services>]
        [--marker <security-service>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Display information from all projects (Admin only).

--share-network <share-network>

  Filter results by share network name or ID.

--status <status>

  Filter results by status.

--name <name>

  Filter results by security service name.

--type <type>

  Filter results by security service type.

--user <user

  Filter results by security service user or group used by project.

--dns-ip <dns-ip>

  Filter results by DNS IP address used inside project’s network.

--ou <ou>

  Filter results by security service OU (Organizational Unit). Available only for microversion >= 2.44.

--default-ad-site <default_ad_site>

  Filter results by security service default_ad_site. Available only for microversion >= 2.76.

--server <server>

  Filter results by security service IP address or hostname.

--domain <domain>

  Filter results by security service domain.

--detail

  Show detailed information about filtered security services.

--limit <num-security-services>

  Limit the number of security services returned

--marker <security-service>

  The last security service ID of the previous page

This command is provided by the python-manilaclient plugin.

## share security service set

Set security service.

    openstack share security service set
        [--dns-ip <dns-ip>]
        [--ou <ou>]
        [--server <server>]
        [--domain <domain>]
        [--user <user]
        [--password <password>]
        [--name <name>]
        [--description <description>]
        [--default-ad-site <default_ad_site>]
        <security-service>

--dns-ip <dns-ip>

  Set DNS IP address used inside project’s network.

--ou <ou>

  Set security service OU (Organizational Unit). Available only for microversion >= 2.44.

--server <server>

  Set security service IP address or hostname.

--domain <domain>

  Set security service domain.

--user <user

  Set security service user or group used by project.

--password <password>

  Set password used by user.

--name <name>

  Set security service name.

--description <description>

  Set security service description.

--default-ad-site <default_ad_site>

  Default AD site. Available only for microversion >= 2.76.

security-service

  Security service name or ID.

This command is provided by the python-manilaclient plugin.

## share security service show

Show security service.

    openstack share security service show <security-service>

security-service

  Security service name or ID to show.

This command is provided by the python-manilaclient plugin.

## share security service unset

Unset security service.

    openstack share security service unset
        [--dns-ip]
        [--ou]
        [--server]
        [--domain]
        [--user]
        [--password]
        [--name]
        [--description]
        [--default-ad-site]
        <security-service>

--dns-ip

  Unset DNS IP address used inside project’s network.

--ou

  Unset security service OU (Organizational Unit). Available only for microversion >= 2.44.

--server

  Unset security service IP address or hostname.

--domain

  Unset security service domain.

--user

  Unset security service user or group used by project.

--password

  Unset password used by user.

--name

  Unset security service name.

--description

  Unset security service description.

--default-ad-site

  Default AD site. Available only for microversion >= 2.76.

security-service

  Security service name or ID.

This command is provided by the python-manilaclient plugin.

## share server abandon

Remove one or more share server(s) (Admin only).

    openstack share server abandon
        [--force]
        [--wait]
        <share-server>
        [<share-server> ...]

--force

  Enforces the unmanage share server operation, even if the backend driver does not support it.

--wait

  Wait until share server is abandoned

share-server

  ID of the server(s) to be abandoned.

This command is provided by the python-manilaclient plugin.

## share server adopt

Adopt share server not handled by Manila (Admin only).

    openstack share server adopt
        [--driver-options <key=value>]
        [--share-network-subnet <share-network-subnet>]
        [--wait]
        <host>
        <share-network>
        <identifier>

--driver-options <key=value>

  One or more driver-specific key=value pairs that may be necessary to manage the share server (Optional, Default=None).

--share-network-subnet <share-network-subnet>

  Share network subnet where share server has network allocations in.The default subnet will be used if it’s not specified. Available for microversion >= 2.51 (Optional, Default=None).

--wait

  Wait until share server is adopted

host

  Backend name as “<node_hostname>@<backend_name>”.

share-network

  Share network where share server has network allocations in.

identifier

  A driver-specific share server identifier required by the driver to manage the share server.

This command is provided by the python-manilaclient plugin.

## share server delete

Delete one or more share servers

    openstack share server delete
        [--wait]
        <share-server>
        [<share-server> ...]

--wait

  Wait for share server deletion.

share-server

  ID(s) of the server(s) to delete

This command is provided by the python-manilaclient plugin.

## share server list

List all share servers (Admin only).

    openstack share server list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--host <hostname>]
        [--status <status>]
        [--share-network <share-network>]
        [--project <project>]
        [--share-network-subnet <share-network-subnet>]
        [--source-share-server-id <source-share-server-id>]
        [--identifier <identifier>]
        [--project-domain <project-domain>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--host <hostname>

  Filter results by name of host.

--status <status>

  Filter results by status.

--share-network <share-network>

  Filter results by share network name or ID.

--project <project>

  Filter results by project name or ID.

--share-network-subnet <share-network-subnet>

  Filter results by share network subnet that the share server’s network allocation exists within. Available for microversion >= 2.51 (Optional, Default=None)

--source-share-server-id <source-share-server-id>

  Share server ID to be used as a filter. Available for microversion >= 2.57 (Optional, Default=None)

--identifier <identifier>

  Identifier of the share server in the share back end. Available for microversion >= 2.49 (Optional, Default=None)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

This command is provided by the python-manilaclient plugin.

## share server migration cancel

Cancels migration of a given share server when copying

    openstack share server migration cancel <share_server>

share_server

  ID of share server to cancel migration.

This command is provided by the python-manilaclient plugin.

## share server migration complete

Completes migration for a given share server

    openstack share server migration complete <share_server>

share_server

  ID of share server to complete migration.

This command is provided by the python-manilaclient plugin.

## share server migration show

Gets migration progress of a given share server when copying

    openstack share server migration show <share_server>

share_server

  ID of share server to show migration progress for.

This command is provided by the python-manilaclient plugin.

## share server migration start

Migrates share server to a new host.

    openstack share server migration start
        --preserve-snapshots <True
        |False>
        --writable <True
        |False>
        --nondisruptive <True
        |False>
        [--new-share-network <new_share_network>]
        [--check-only]
        <share_server>
        <host@backend>

--preserve-snapshots <True|False>

  Set to True if snapshots must be preserved at the migration destination.

--writable <True|False>

  Enforces migration to keep all its shares writable while contents are being moved.

--nondisruptive <True|False>

  Enforces migration to be nondisruptive.

--new-share-network <new_share_network>

  Specify a new share network for the share server. Do not specify this parameter if the migrating share server has to be retained within its current share network.

--check-only

  Run a dry-run of the share server migration.

share_server

  ID of share server to start migration.

host@backend

  Destination to migrate the share server to. Use the format ‘<node_hostname>@<backend_name>’.

This command is provided by the python-manilaclient plugin.

## share server set

Set share server properties (Admin only).

    openstack share server set
        [--status <status>]
        [--task-state [<task-state>]]
        <share-server>

--status <status>

  Assign a status to the share server. Options include: unmanage_starting, server_migrating_to, error, unmanage_error, manage_error, inactive, active, server_migrating, manage_starting, deleting, network_change. If no state is provided, active will be used.

--task-state <task-state>

  Indicate which task state to assign the share server. Options include migration_starting, migration_in_progress, migration_completing, migration_success, migration_error, migration_cancelled, migration_driver_in_progress, migration_driver_phase1_done, data_copying_starting, data_copying_in_progress, data_copying_completing, data_copying_completed, data_copying_cancelled, data_copying_error.

share-server

  ID of the share server to modify.

This command is provided by the python-manilaclient plugin.

## share server show

Show details about a share server (Admin only).

    openstack share server show <share-server>

share-server

  ID of share server.

This command is provided by the python-manilaclient plugin.

## share service ensure shares

Run ensure shares in a back end (Admin only).

    openstack share service ensure shares <host>

host

  Host to run ensure shares. ‘example_host@example_backend’.

This command is provided by the python-manilaclient plugin.

## share service list

List share services (Admin only).

    openstack share service list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--host <host>]
        [--binary <binary>]
        [--status <status>]
        [--state <state>]
        [--zone <zone>]
        [--ensuring <ensuring>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--host <host>

  Filter services by name of the host.

--binary <binary>

  Filter services by the name of the service.

--status <status>

  Filter results by status.

--state <state>

  Filter results by state.

--zone <zone>

  Filter services by their availability zone.

--ensuring <ensuring>

  Filter services running ensure shares or not.

This command is provided by the python-manilaclient plugin.

## share service set

Enable/Disable share service (Admin only).

    openstack share service set
        [--enable | --disable]
        [--disable-reason <reason>]
        <host>
        <binary>

--enable

  Enable share service

--disable

  Disable share service

--disable-reason <reason>

  Reason for disabling the service (should be used with –disable option)

host

  Host name as ‘example_host@example_backend’.

binary

  Service binary, could be ‘manila-share’, ‘manila-scheduler’ or ‘manila-data’

This command is provided by the python-manilaclient plugin.

## share set

Set share properties

    openstack share set
        [--property <key=value>]
        [--name <name>]
        [--description <description>]
        [--public <public>]
        [--status <status>]
        [--task-state [<task-state>]]
        <share>

--property <key=value>

  Set a property to this share (repeat option to set multiple properties)

--name <name>

  New share name. (Default=None)

--description <description>

  New share description. (Default=None)

--public <public>

  Level of visibility for share. Defines whether other tenants are able to see it or not.

--status <status>

  Explicitly update the status of a share (Admin only). Examples include: available, error, creating, deleting, error_deleting.

--task-state <task-state>

  Indicate which task state to assign the share. Options include migration_starting, migration_in_progress, migration_completing, migration_success, migration_error, migration_cancelled, migration_driver_in_progress, migration_driver_phase1_done, data_copying_starting, data_copying_in_progress, data_copying_completing, data_copying_completed, data_copying_cancelled, data_copying_error.

share

  Share to modify (name or ID)

This command is provided by the python-manilaclient plugin.

## share show

Display share details

    openstack share show <share>

share

  Share to display (name or ID)

This command is provided by the python-manilaclient plugin.

## share snapshot abandon

Abandon share snapshot(s)

    openstack share snapshot abandon [--wait] <snapshot> [<snapshot> ...]

--wait

  Wait until share snapshot is abandoned

snapshot

  Name or ID of the snapshot(s) to be abandoned.

This command is provided by the python-manilaclient plugin.

## share snapshot access create

Allow access to a snapshot

    openstack share snapshot access create
        <snapshot>
        <access_type>
        <access_to>

snapshot

  Name or ID of the snapshot

access_type

  Access rule type (only “ip”, “user” (user or group), “cert” or “cephx” are supported).

access_to

  Value that defines access.

This command is provided by the python-manilaclient plugin.

## share snapshot access delete

Delete access to a snapshot

    openstack share snapshot access delete <snapshot> <id> [<id> ...]

snapshot

  Name or ID of the share snapshot to deny access to.

id

  ID(s) of the access rule(s) to be deleted.

This command is provided by the python-manilaclient plugin.

## share snapshot access list

Show access list for a snapshot

    openstack share snapshot access list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        <snapshot>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

snapshot

  Name or ID of the share snapshot to show access list for.

This command is provided by the python-manilaclient plugin.

## share snapshot adopt

Adopt a share snapshot

    openstack share snapshot adopt
        [--name <name>]
        [--description <description>]
        [--driver-option <key=value>]
        [--wait]
        <share>
        <provider-location>

--name <name>

  Optional snapshot name (Default=None).

--description <description>

  Optional snapshot description (Default=None).

--driver-option <key=value>

  Set driver options as key=value pairs.(repeat option to set multiple key=value pairs)

--wait

  Wait until share snapshot is adopted

share

  Name or ID of the share that owns the snapshot to be adopted.

provider-location

  Provider location of the snapshot on the backend.

This command is provided by the python-manilaclient plugin.

## share snapshot create

Create a snapshot of the given share

    openstack share snapshot create
        [--force]
        [--name <name>]
        [--description <description>]
        [--wait]
        [--property <key=value>]
        <share>

--force

  Optional flag to indicate whether to snapshot a share even if it’s busy. (Default=False)

--name <name>

  Add a name to the snapshot (Optional).

--description <description>

  Add a description to the snapshot (Optional).

--wait

  Wait for share snapshot creation

--property <key=value>

  Set a property to this snapshot (repeat option to set multiple properties).Available only for microversion >= 2.73

share

  Name or ID of the share to create snapshot of

This command is provided by the python-manilaclient plugin.

## share snapshot delete

Delete one or more share snapshots

    openstack share snapshot delete
        [--force]
        [--wait]
        <snapshot>
        [<snapshot> ...]

--force

  Delete the snapshot(s) ignoring the current state.

--wait

  Wait for share snapshot deletion

snapshot

  Name or ID of the snapshot(s) to delete

This command is provided by the python-manilaclient plugin.

## share snapshot export location list

List export locations of a given snapshot

    openstack share snapshot export location list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        <snapshot>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

snapshot

  Name or ID of the share snapshot.

This command is provided by the python-manilaclient plugin.

## share snapshot export location show

Show export location of the share snapshot

    openstack share snapshot export location show
        <snapshot>
        <export-location>

snapshot

  Name or ID of the share snapshot.

export-location

  ID of the share snapshot export location.

This command is provided by the python-manilaclient plugin.

## share snapshot instance export location list

List export locations from a share snapshot instance.

    openstack share snapshot instance export location list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        <instance>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

instance

  Name or ID of the share instance.

This command is provided by the python-manilaclient plugin.

## share snapshot instance export location show

Show export location of the share snapshot instance.

    openstack share snapshot instance export location show
        <snapshot_instance>
        <export_location>

snapshot_instance

  ID of the share snapshot instance.

export_location

  ID of the share snapshot instance export location.

This command is provided by the python-manilaclient plugin.

## share snapshot instance list

List all share snapshot instances

    openstack share snapshot instance list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--snapshot <snapshot>]
        [--detailed]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--snapshot <snapshot>

  Filter results by share snapshot ID.

--detailed

  Show detailed information about snapshot instances.

This command is provided by the python-manilaclient plugin.

## share snapshot instance set

Explicitly update the state of a share snapshot instance.

    openstack share snapshot instance set
        [--status <status>]
        <snapshot_instance>

--status <status>

  Indicate state to update the snapshot instance to. Default is available.

snapshot_instance

  ID of the share snapshot instance to update.

This command is provided by the python-manilaclient plugin.

## share snapshot instance show

Show details about a share snapshot instance.

    openstack share snapshot instance show <snapshot_instance>

snapshot_instance

  ID of the share snapshot instance.

This command is provided by the python-manilaclient plugin.

## share snapshot list

List snapshots

    openstack share snapshot list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all-projects]
        [--name <name>]
        [--description <description>]
        [--status <status>]
        [--share <share>]
        [--usage <usage>]
        [--limit <num-snapshots>]
        [--marker <snapshot>]
        [--sort <key>[:<direction>]]
        [--name~ <name~>]
        [--description~ <description~>]
        [--detail]
        [--property <key=value>]
        [--count]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Display snapshots from all projects (Admin only).

--name <name>

  Filter results by name.

--description <description>

  Filter results by description. Available only for microversion >= 2.36.

--status <status>

  Filter results by status

--share <share>

  Name or ID of a share to filter results by.

--usage <usage>

  Option to filter snapshots by usage.

--limit <num-snapshots>

  Limit the number of snapshots returned

--marker <snapshot>

  The last share ID of the previous page

--sort <key>[:<direction>]

  Sort output by selected keys and directions(asc or desc) (default: name:asc), multiple keys and directions can be specified separated by comma

--name~ <name~>

  Filter results matching a share snapshot name pattern. Available only for microversion >= 2.36.

--description~ <description~>

  Filter results matching a share snapshot description pattern. Available only for microversion >= 2.36.

--detail

  List share snapshots with details

--property <key=value>

  Filter snapshots having a given metadata key=value property. (repeat option to filter by multiple properties)

--count

  The total count of share snapshots before pagination is applied. This parameter is useful when applying pagination parameters ‘–limit’ and ‘–offset’. Available only for microversion >= 2.79.

This command is provided by the python-manilaclient plugin.

## share snapshot set

Set share snapshot properties

    openstack share snapshot set
        [--name <name>]
        [--description <description>]
        [--status <status>]
        [--property <key=value>]
        <snapshot>

--name <name>

  Set a name to the snapshot.

--description <description>

  Set a description to the snapshot.

--status <status>

  Assign a status to the snapshot (Admin only). Options include : available, error, creating, deleting, manage_starting, manage_error, unmanage_starting, unmanage_error, error_deleting.

--property <key=value>

  Set a property to this snapshot (repeat option to set multiple properties)

snapshot

  Name or ID of the snapshot to set a property for

This command is provided by the python-manilaclient plugin.

## share snapshot show

Show details about a share snapshot

    openstack share snapshot show <snapshot>

snapshot

  Name or ID of the snapshot to display

This command is provided by the python-manilaclient plugin.

## share snapshot unset

Unset a share snapshot property

    openstack share snapshot unset
        [--name]
        [--description]
        [--property <key>]
        <snapshot>

--name

  Unset snapshot name.

--description

  Unset snapshot description.

--property <key>

  Remove a property from snapshot (repeat option to remove multiple properties)

snapshot

  Name or ID of the snapshot to set a property for

This command is provided by the python-manilaclient plugin.

## share transfer accept

Accepts a share transfer

    openstack share transfer accept [--clear-rules] <transfer> <auth_key>

--clear-rules, --clear_rules

  Whether manila should clean up the access rules after the transfer is complete. (Default=False)

transfer

  ID of transfer to accept.

auth_key

  Authentication key of transfer to accept.

This command is provided by the python-manilaclient plugin.

## share transfer create

Create a new share transfer

    openstack share transfer create [--name <name>] <share>

--name <name>

  Transfer name. Default=None.

share

  Name or ID of share to transfer.

This command is provided by the python-manilaclient plugin.

## share transfer delete

Remove one or more transfers

    openstack share transfer delete <transfer> [<transfer> ...]

transfer

  Name(s) or ID(s) of the transfer(s).

This command is provided by the python-manilaclient plugin.

## share transfer list

Lists all transfers

    openstack share transfer list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all-projects]
        [--name <name>]
        [--id <id>]
        [--resource-type <resource_type>]
        [--resource-id <resource_id>]
        [--source-project-id <source_project_id>]
        [--limit <limit>]
        [--offset <offset>]
        [--sort-key <sort_key>]
        [--sort-dir <sort_dir>]
        [--detailed [<0|1>]]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Shows details for all tenants. (Admin only).

--name <name>

  Filter share transfers by name. Default=None.

--id <id>

  Filter share transfers by ID. Default=None.

--resource-type <resource_type>, --resource_type <resource_type>

  Filter share transfers by resource type, which can be share. Default=None.

--resource-id <resource_id>, --resource_id <resource_id>

  Filter share transfers by resource ID. Default=None.

--source-project-id <source_project_id>, --source_project_id <source_project_id>

  Filter share transfers by ID of the Project that initiated the transfer. Default=None.

--limit <limit>

  Maximum number of transfer records to return. (Default=None)

--offset <offset>

  Start position of transfer records listing.

--sort-key <sort_key>, --sort_key <sort_key>

  Key to be sorted, available keys are (‘id’, ‘resource_type’, ‘resource_id’, ‘name’, ‘source_project_id’, ‘destination_project_id’, ‘created_at’, ‘expires_at’). Default=None.

--sort-dir <sort_dir>, --sort_dir <sort_dir>

  Sort direction, available values are (‘asc’, ‘desc’). OPTIONAL: Default=None.

--detailed <0|1>

  Show detailed information about filtered share transfers.

This command is provided by the python-manilaclient plugin.

## share transfer show

Show details about a share transfer

    openstack share transfer show <transfer>

transfer

  Name or ID of transfer to show.

This command is provided by the python-manilaclient plugin.

## share type access create

Add access for share type

    openstack share type access create <share_type> <project_id>

share_type

  Share type name or ID to add access to

project_id

  Project ID to add share type access for

This command is provided by the python-manilaclient plugin.

## share type access delete

Delete access from share type

    openstack share type access delete <share_type> <project_id>

share_type

  Share type name or ID to delete access from

project_id

  Project ID to delete share type access for

This command is provided by the python-manilaclient plugin.

## share type access list

Get access list for share type

    openstack share type access list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        <share_type>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

share_type

  Share type name or ID to get access list for

This command is provided by the python-manilaclient plugin.

## share type create

Create new share type

    openstack share type create
        [--description <description>]
        [--snapshot-support <snapshot_support>]
        [--create-share-from-snapshot-support <create_share_from_snapshot_support>]
        [--revert-to-snapshot-support <revert_to_snapshot_support>]
        [--mount-snapshot-support <mount_snapshot_support>]
        [--extra-specs [<key=value> ...]]
        [--public <public>]
        <name>
        <spec_driver_handles_share_servers>

--description <description>

  Share type description. Available only for microversion >= 2.41.

--snapshot-support <snapshot_support>

  Boolean extra spec used for filtering of back ends by their capability to create share snapshots.

--create-share-from-snapshot-support <create_share_from_snapshot_support>

  Boolean extra spec used for filtering of back ends by their capability to create shares from snapshots.

--revert-to-snapshot-support <revert_to_snapshot_support>

  Boolean extra spec used for filtering of back ends by their capability to revert shares to snapshots. (Default is False).

--mount-snapshot-support <mount_snapshot_support>

  Boolean extra spec used for filtering of back ends by their capability to mount share snapshots. (Default is False).

--extra-specs <key=value>

  Extra specs key and value of share type that will be used for share type creation. OPTIONAL: Default=None. example –extra-specs thin_provisioning=’<is> True’, replication_type=readable.

--public <public>

  Make type accessible to the public (default true).

name

  Share type name

spec_driver_handles_share_servers

  Required extra specification. Valid values are ‘true’ and ‘false’

This command is provided by the python-manilaclient plugin.

## share type delete

Delete a share type

    openstack share type delete <share_types> [<share_types> ...]

share_types

  Name or ID of the share type(s) to delete

This command is provided by the python-manilaclient plugin.

## share type list

List share types

    openstack share type list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all]
        [--extra-specs [<key=value> ...]]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all

  Display all share types whatever public or private. Default=False. (Admin only)

--extra-specs <key=value>

  Filter share types with extra specs (key=value). Available only for API microversion >= 2.43. OPTIONAL: Default=None.

This command is provided by the python-manilaclient plugin.

## share type set

Set share type properties

    openstack share type set
        [--extra-specs [<key=value> ...]]
        [--public <public>]
        [--description <description>]
        [--name <name>]
        <share_type>

--extra-specs <key=value>

  Extra specs key and value of share type that will be used for share type creation. OPTIONAL: Default=None. example –extra-specs thin_provisioning=’<is> True’, replication_type=readable.

--public <public>

  New visibility of the share type. If set to True, share type will be available to all projects in the cloud. Available only for microversion >= 2.50

--description <description>

  New description of share type. Available only for microversion >= 2.50

--name <name>

  New name of share type. Available only for microversion >= 2.50

share_type

  Name or ID of the share type to modify

This command is provided by the python-manilaclient plugin.

## share type show

Display share type details

    openstack share type show <share_type>

share_type

  Share type to display (name or ID)

This command is provided by the python-manilaclient plugin.

## share type unset

Unset share type extra specs

    openstack share type unset <share_type> <key> [<key> ...]

share_type

  Name or ID of the share type to modify

key

  Remove extra_specs from this share type

This command is provided by the python-manilaclient plugin.

## share unset

Unset share properties

    openstack share unset
        [--property <key>]
        [--name]
        [--description]
        <share>

--property <key>

  Remove a property from share (repeat option to remove multiple properties)

--name

  Unset share name.

--description

  Unset share description.

share

  Share to modify (name or ID)

This command is provided by the python-manilaclient plugin.

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.